nvidia-367 367.57-0ubuntu0.16.04.1: nvidia-367 kernel module failed to build [./arch/x86/include/asm/arch_hweight.h:58:7: error: expected absolute expression]

Bug #1661812 reported by Kunal Tyagi on 2017-02-04
38
This bug affects 6 people
Affects Status Importance Assigned to Milestone
nvidia-graphics-drivers-367 (Ubuntu)
High
Unassigned
nvidia-graphics-drivers-375 (Ubuntu)
High
Unassigned

Bug Description

Error occured while no update/upgrade was being performed. Auto reported by the system.

I was using Chrome 51 (some light sites, a WebGL app, facebook, the usual) and vlc when the system hung for about 3-4 minutes. When the system started responding again, the font's looked a bit off in Chrome, no noticeable change in rest of the system.

ProblemType: Package
DistroRelease: Ubuntu 16.04
Package: nvidia-367 367.57-0ubuntu0.16.04.1
ProcVersionSignature: Ubuntu 4.4.0-59.80-generic 4.4.35
Uname: Linux 4.4.0-59-generic x86_64
NonfreeKernelModules: nvidia_uvm wl nvidia_drm nvidia_modeset nvidia
ApportVersion: 2.20.1-0ubuntu2.5
Architecture: amd64
DKMSKernelVersion: 4.4.0-62-generic
Date: Sat Feb 4 12:38:28 2017
DuplicateSignature: dkms:nvidia-367:367.57-0ubuntu0.16.04.1:./arch/x86/include/asm/arch_hweight.h:58:7: error: expected absolute expression
InstallationDate: Installed on 2016-12-08 (57 days ago)
InstallationMedia: Ubuntu 16.04.1 LTS "Xenial Xerus" - Release amd64 (20160719)
PackageVersion: 367.57-0ubuntu0.16.04.1
RelatedPackageVersions:
 dpkg 1.18.4ubuntu1.1
 apt 1.2.19
SourcePackage: nvidia-graphics-drivers-367
Title: nvidia-367 367.57-0ubuntu0.16.04.1: nvidia-367 kernel module failed to build
UpgradeStatus: No upgrade log present (probably fresh install)

tags: removed: need-duplicate-check
summary: nvidia-367 367.57-0ubuntu0.16.04.1: nvidia-367 kernel module failed to
- build
+ build [./arch/x86/include/asm/arch_hweight.h:58:7: error: expected
+ absolute expression]
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in nvidia-graphics-drivers-367 (Ubuntu):
status: New → Confirmed
Martin Beeger (martin-beeger) wrote :

Bug occured for me after kernel has updated.
4.4.0-59-generic works fine, bit with 4.4.0-61-generic it reproduceably crashes.

Changed in nvidia-graphics-drivers-367 (Ubuntu):
importance: Undecided → High
Martin Beeger (martin-beeger) wrote :

Occurs with the 66er Kernel, too. Update just went through and after boot I am in fallback mode w/o graqphis driver.

Changed in nvidia-graphics-drivers-375 (Ubuntu):
status: New → Confirmed
importance: Undecided → High
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers